Subject: Re: Request for review of EmotionML media type: application/emotionml+xml
From: Kazuyuki Ashimura <[email-masked]>
To: Bjoern Hoehrmann <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 24 May 2012 08:35:33 +0900
List-Id: <ietf-xml-mime.imc.org>

Hi Bjoern,

Thank you very much for your thoughtful comments.  And very sorry for
the delay.  I was on business travel for a while, and got some trouble
with sending emails after that.

Could you please see inline below for my response?

On 05/11/2012 10:22 AM, Bjoern Hoehrmann wrote:
 >
 > * Kazuyuki Ashimura wrote:
 >> W3C has just published a Candidate Recommendation for "Emotion Markup
 >> Language (EmotionML)" at:
 >>
 >>   http://www.w3.org/TR/2012/CR-emotionml-20120510/
 >>
 >> I am sending this request to ask the Ietf-types list for comments on
 >> the Media Type section of the EmotionML specification following the
 >> procedure defined at:
 >>
 >>   http://www.w3.org/2002/06/registering-mediatype
 >
 > The procedure requires Working Groups to ask for ietf-types review when
 > making a Last Call announcement. I have not been able to find any such
 > request in the archive. If the Working Group failed to follow the pro-
 > cedure, it would be helpful if you could put that on the record.

Sorry but as you pointed out we failed to send out a review request
when we published the Last Call Working Draft.

 >> MIME media type name:
 >> ---------------------
 >>      application
 >
 > This is using an outdated template. The current one is in RFC 4288. In
 > it, some field names are different and some fields are organized in a
 > different manner.

Thank you for pointing out that, Bjoern.

I've checked RFC4288 at:
  http://tools.ietf.org/html/rfc4288

and think we should say:
[[
Type name:
     application

Subtype name:
     emotionml+xml
]]
instead here.

 >> Optional parameters:
 >> --------------------
 >>      charset
 >>
 >>          This parameter has identical semantics to the charset parameter
 >> of the application/xml media type as specified in [RFC3023] or its
 >> successor.
 >>
 >> Encoding considerations:
 >> ------------------------
 >>      By virtue of EmotionML content being XML, it has the same
 >> considerations when sent as "application/emotionml+xml" as does XML. See
 >> RFC 3023 (or its successor), section 3.2.
 >
 > RFC 3023 has boilerplate for this, but the above seems close enough.

Thanks.

So the revised version of the EmotionML media type definition should
be the following.  Please note I've added "Applications that use this
media type" field and "Restrictions on usage" field based on the
RFC4288 template.  Also I've split "Author/Change controller" field
into "Author" field and "Change controller" field.

[[
Type name:
     application

Subtype name:
     emotionml+xml

Required parameters:
     None.

Optional parameters:
     charset

     This parameter has identical semantics to the charset parameter of
     the application/xml media type as specified in [RFC 3023] or its
     successor.

Encoding considerations:
     By virtue of EmotionML content being XML, it has the same
     considerations when sent as "application/emotionml+xml" as does
     XML. See RFC 3023 (or its successor), section 3.2.

Security considerations:
     EmotionML elements may include arbitrary URIs. Therefore the
     security issues of [RFC 3986], section 7, should be considered.

     In addition, because of the extensibility features for EmotionML,
     it is possible that "application/emotionml+xml" will describe
     content that has security implications beyond those described
     here. However, if the processor follows only the normative
     semantics of this specification, this content will be
     ignored. Only in the case where the processor recognizes and
     processes the additional content, or where further processing of
     that content is dispatched to other processors, would security
     issues potentially arise. And in that case, they would fall
     outside the domain of this registration document.

Interoperability considerations:
     This specification describes processing semantics that dictate the
     required behavior for dealing with, among other things,
     unrecognized elements.

     Because EmotionML is extensible, conformant
     "application/emotionml+xml" processors MAY expect that content
     received is well-formed XML, but processors SHOULD NOT assume that
     the content is valid EmotionML or expect to recognize all of the
     elements and attributes in the document.

Published specification:
     This media type registration is extracted from Appendix B of the
     "Emotion Markup Language (EmotionML) 1.0" specification.

Additional information:

     Magic number(s):
     There is no single initial octet sequence that is always present
     in EmotionML documents.

     File extension(s):
     EmotionML documents are most often identified with the extensions
     ".emotionml".

     Macintosh File Type Code(s):
     TEXT

Person & email address to contact for further information:
     Kazuyuki Ashimura, <[email-masked]>.

Intended usage:
     COMMON

Restrictions on usage:
     None.

Author:
     The EmotionML specification is a work product of the World Wide
     Web Consortium's Multimodal Interaction Working Group.

Change controller:
     The W3C has change control over these specifications.
]]

Thanks,

Kazuyuki

-- 
Kaz Ashimura, W3C Staff Contact for Web&TV, MMI and Voice
Tel: +81 466 49 1170

From: Bjoern Hoehrmann <[email-masked]>
To: Kazuyuki Ashimura <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Subject: Re: Request for review of EmotionML media type: application/emotionml+xml
Date: Fri, 11 May 2012 03:22:10 +0200
Sender: [email-masked]

* Kazuyuki Ashimura wrote:
>W3C has just published a Candidate Recommendation for "Emotion Markup
>Language (EmotionML)" at:
>
>  http://www.w3.org/TR/2012/CR-emotionml-20120510/
>
>I am sending this request to ask the Ietf-types list for comments on
>the Media Type section of the EmotionML specification following the
>procedure defined at:
>
>  http://www.w3.org/2002/06/registering-mediatype

The procedure requires Working Groups to ask for ietf-types review when
making a Last Call announcement. I have not been able to find any such
request in the archive. If the Working Group failed to follow the pro-
cedure, it would be helpful if you could put that on the record.

>MIME media type name:
>---------------------
>     application

This is using an outdated template. The current one is in RFC 4288. In
it, some field names are different and some fields are organized in a
different manner.

>Optional parameters:
>--------------------
>     charset
>
>         This parameter has identical semantics to the charset parameter 
>of the application/xml media type as specified in [RFC3023] or its 
>successor.
>
>Encoding considerations:
>------------------------
>     By virtue of EmotionML content being XML, it has the same 
>considerations when sent as "application/emotionml+xml" as does XML. See 
>RFC 3023 (or its successor), section 3.2.

RFC 3023 has boilerplate for this, but the above seems close enough.
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/ 

Subject: Re: Request for review of EmotionML media type: application/emotionml+xml
From: Paul Libbrecht <[email-masked]>
Date: Thu, 10 May 2012 21:30:56 +0200
Cc: [email-masked], [email-masked], [email-masked]
To: Kazuyuki Ashimura <[email-masked]>
Sender: [email-masked]

Dear Kazuyuki,

would you think as conceivable to put EmotionML into a clipboard?
If yes it would be nice to include in this specification:
- a Windows clipboard name (more or less, just a string) which applications would register at start
- a Macintosh Uniform Type Identifier (which application descriptors could register)

thanks in advance

Paul

Le 10 mai 2012 à 19:12, Kazuyuki Ashimura a écrit :

> 
> Dear list,
> # sorry but resending because I used wrong address for my previous post.
> 
> W3C has just published a Candidate Recommendation for "Emotion Markup
> Language (EmotionML)" at:
> 
> http://www.w3.org/TR/2012/CR-emotionml-20120510/
> 
> I am sending this request to ask the Ietf-types list for comments on
> the Media Type section of the EmotionML specification following the
> procedure defined at:
> 
> http://www.w3.org/2002/06/registering-mediatype
> 
> ---
> The Media Type section of the EmotionML specification is available
> at:
> 
> http://www.w3.org/TR/2012/CR-emotionml-20120510/#MIME-type
> 
> and a plain text copy is also available below.
> 
> MIME media type name:
> ---------------------
>    application
> 
> MIME subtype name:
> ------------------
>    emotionml+xml
> 
> Required parameters:
> --------------------
>    None.
> 
> Optional parameters:
> --------------------
>    charset
> 
>        This parameter has identical semantics to the charset parameter of the application/xml media type as specified in [RFC3023] or its successor.
> 
> Encoding considerations:
> ------------------------
>    By virtue of EmotionML content being XML, it has the same considerations when sent as "application/emotionml+xml" as does XML. See RFC 3023 (or its successor), section 3.2.
> 
> Security considerations:
> ------------------------
>    EmotionML elements may include arbitrary URIs. Therefore the security issues of [RFC3986], section 7, should be considered.
> 
>    In addition, because of the extensibility features for EmotionML, it is possible that "application/emotionml+xml" will describe content that has security implications beyond those described here. However, if the processor follows only the normative semantics of this specification, this content will be ignored. Only in the case where the processor recognizes and processes the additional content, or where further processing of that content is dispatched to other processors, would security issues potentially arise. And in that case, they would fall outside the domain of this registration document.
> 
> Interoperability considerations:
> --------------------------------
>    This specification describes processing semantics that dictate the required behavior for dealing with, among other things, unrecognized elements.
> 
>    Because EmotionML is extensible, conformant "application/emotionml+xml" processors MAY expect that content received is well-formed XML, but processors SHOULD NOT assume that the content is valid EmotionML or expect to recognize all of the elements and attributes in the document.
> 
> Published specification:
> ------------------------
>    This media type registration is extracted from Appendix B of the "Emotion Markup Language (EmotionML) 1.0" specification.
> 
> Additional information:
> -----------------------
>    Magic number(s):
> 
>        There is no single initial octet sequence that is always present in EmotionML documents.
> 
>    File extension(s):
> 
>        EmotionML documents are most often identified with the extensions ".emotionml".
> 
>    Macintosh File Type Code(s):
> 
>        TEXT
> 
> Person & email address to contact for further information:
> ----------------------------------------------------------
>    Kazuyuki Ashimura, <[email-masked]>.
> 
> Intended usage:
> ---------------
>    COMMON
> 
> Author/Change controller:
> -------------------------
>    The EmotionML specification is a work product of the World Wide Web Consortium's Multimodal Interaction Working Group. The W3C has change control over these specifications.
> 
> 
> ----------------------
> Normative References:
> ----------------------
> 
> RFC 3023
> XML Media Types, M. Murata et al., Editors. IETF RFC 3023, January 2001.
> 
> Sincerely,
> 
> Kazuyuki
> 
> -- 
> Kaz Ashimura, W3C Staff Contact for Web&TV, MMI and Voice
> Tel: +81 466 49 1170
> 
> 

Date: Fri, 11 May 2012 02:12:14 +0900
From: Kazuyuki Ashimura <[email-masked]>
To: [email-masked]
CC: [email-masked], [email-masked]
Subject: Request for review of EmotionML media type: application/emotionml+xml
Sender: [email-masked]

Dear list,
# sorry but resending because I used wrong address for my previous post.

W3C has just published a Candidate Recommendation for "Emotion Markup
Language (EmotionML)" at:

  http://www.w3.org/TR/2012/CR-emotionml-20120510/

I am sending this request to ask the Ietf-types list for comments on
the Media Type section of the EmotionML specification following the
procedure defined at:

  http://www.w3.org/2002/06/registering-mediatype

---
The Media Type section of the EmotionML specification is available
at:

  http://www.w3.org/TR/2012/CR-emotionml-20120510/#MIME-type

and a plain text copy is also available below.

MIME media type name:
---------------------
     application

MIME subtype name:
------------------
     emotionml+xml

Required parameters:
--------------------
     None.

Optional parameters:
--------------------
     charset

         This parameter has identical semantics to the charset parameter 
of the application/xml media type as specified in [RFC3023] or its 
successor.

Encoding considerations:
------------------------
     By virtue of EmotionML content being XML, it has the same 
considerations when sent as "application/emotionml+xml" as does XML. See 
RFC 3023 (or its successor), section 3.2.

Security considerations:
------------------------
     EmotionML elements may include arbitrary URIs. Therefore the 
security issues of [RFC3986], section 7, should be considered.

     In addition, because of the extensibility features for EmotionML, 
it is possible that "application/emotionml+xml" will describe content 
that has security implications beyond those described here. However, if 
the processor follows only the normative semantics of this 
specification, this content will be ignored. Only in the case where the 
processor recognizes and processes the additional content, or where 
further processing of that content is dispatched to other processors, 
would security issues potentially arise. And in that case, they would 
fall outside the domain of this registration document.

Interoperability considerations:
--------------------------------
     This specification describes processing semantics that dictate the 
required behavior for dealing with, among other things, unrecognized 
elements.

     Because EmotionML is extensible, conformant 
"application/emotionml+xml" processors MAY expect that content received 
is well-formed XML, but processors SHOULD NOT assume that the content is 
valid EmotionML or expect to recognize all of the elements and 
attributes in the document.

Published specification:
------------------------
     This media type registration is extracted from Appendix B of the 
"Emotion Markup Language (EmotionML) 1.0" specification.

Additional information:
-----------------------
     Magic number(s):

         There is no single initial octet sequence that is always 
present in EmotionML documents.

     File extension(s):

         EmotionML documents are most often identified with the 
extensions ".emotionml".

     Macintosh File Type Code(s):

         TEXT

Person & email address to contact for further information:
----------------------------------------------------------
     Kazuyuki Ashimura, <[email-masked]>.

Intended usage:
---------------
     COMMON

Author/Change controller:
-------------------------
     The EmotionML specification is a work product of the World Wide Web 
Consortium's Multimodal Interaction Working Group. The W3C has change 
control over these specifications.

----------------------
Normative References:
----------------------

RFC 3023
  XML Media Types, M. Murata et al., Editors. IETF RFC 3023, January 2001.

Sincerely,

Kazuyuki

-- 
Kaz Ashimura, W3C Staff Contact for Web&TV, MMI and Voice
Tel: +81 466 49 1170

Date: Fri, 11 May 2012 01:28:48 +0900
From: Kazuyuki Ashimura <[email-masked]>
To: [email-masked]
CC: [email-masked], [email-masked]
Subject: Request for review of EmotionML media type: application/emotionml+xml
Sender: [email-masked]

Dear list,

W3C has just published a Candidate Recommendation for "Emotion Markup
Language (EmotionML)" at:

  http://www.w3.org/TR/2012/CR-emotionml-20120510/

I am sending this request to ask the Ietf-types list for comments on
the Media Type section of the EmotionML specification following the
procedure defined at:

  http://www.w3.org/2002/06/registering-mediatype

---
The Media Type section of the EmotionML specification is available
at:

  http://www.w3.org/TR/2012/CR-emotionml-20120510/#MIME-type

and a plain text copy is also available below.

MIME media type name:
---------------------
     application

MIME subtype name:
------------------
     emotionml+xml

Required parameters:
--------------------
     None.

Optional parameters:
--------------------
     charset

         This parameter has identical semantics to the charset parameter 
of the application/xml media type as specified in [RFC3023] or its 
successor.

Encoding considerations:
------------------------
     By virtue of EmotionML content being XML, it has the same 
considerations when sent as "application/emotionml+xml" as does XML. See 
RFC 3023 (or its successor), section 3.2.

Security considerations:
------------------------
     EmotionML elements may include arbitrary URIs. Therefore the 
security issues of [RFC3986], section 7, should be considered.

     In addition, because of the extensibility features for EmotionML, 
it is possible that "application/emotionml+xml" will describe content 
that has security implications beyond those described here. However, if 
the processor follows only the normative semantics of this 
specification, this content will be ignored. Only in the case where the 
processor recognizes and processes the additional content, or where 
further processing of that content is dispatched to other processors, 
would security issues potentially arise. And in that case, they would 
fall outside the domain of this registration document.

Interoperability considerations:
--------------------------------
     This specification describes processing semantics that dictate the 
required behavior for dealing with, among other things, unrecognized 
elements.

     Because EmotionML is extensible, conformant 
"application/emotionml+xml" processors MAY expect that content received 
is well-formed XML, but processors SHOULD NOT assume that the content is 
valid EmotionML or expect to recognize all of the elements and 
attributes in the document.

Published specification:
------------------------
     This media type registration is extracted from Appendix B of the 
"Emotion Markup Language (EmotionML) 1.0" specification.

Additional information:
-----------------------
     Magic number(s):

         There is no single initial octet sequence that is always 
present in EmotionML documents.

     File extension(s):

         EmotionML documents are most often identified with the 
extensions ".emotionml".

     Macintosh File Type Code(s):

         TEXT

Person & email address to contact for further information:
----------------------------------------------------------
     Kazuyuki Ashimura, <[email-masked]>.

Intended usage:
---------------
     COMMON

Author/Change controller:
-------------------------
     The EmotionML specification is a work product of the World Wide Web 
Consortium's Multimodal Interaction Working Group. The W3C has change 
control over these specifications.

----------------------
Normative References:
----------------------

RFC 3023
  XML Media Types, M. Murata et al., Editors. IETF RFC 3023, January 2001.

Sincerely,

Kazuyuki

-- 
Kaz Ashimura, W3C Staff Contact for Web&TV, MMI and Voice
Tel: +81 466 49 1170